function [DetectionList,yComb,caYLayr] = ToyotaMultiDetection_Faster(im,DetectorFNs,StopConditions)
%function [DetectionList,yComb,caYLayr] = ToyotaMultiDetection(im,DetectorFNs,StopConditions)
%
%
nDetectors = length(DetectorFNs);
%get result mask.
for iDet = 1:nDetectors
   load(DetectorFNs{iDet});%-->Model
   caModel{iDet} = Model;
end
   
superYPyr = ToyotaFeature_ApplyModelToImage_AllScales(im,caModel,16,1/(2).^(1/4),256);
for iDet = 1:nDetectors
   YPyr = extractYPyr(superYPyr,iDet);
   [yComb(:,:,iDet),caYLayr{iDet}] = CombineToyotaDetectionOutputs(YPyr);
end
DetectionList = PeakDetection_LocalSuppression(caYLayr);

function YPyr = extractYPyr(superYPyr,iDet);
nScales = length(superYPyr);
nModels = length(iDet);
for i = 1:nScales
   YPyr{i} = superYPyr{i}{iDet};
end
